blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
5760e41bb752aebc86f96e0313ec9c84fa32a76d | Shell | MichaelBunker/php | /exercises/concept/bootstrap.sh | UTF-8 | 2,121 | 3.53125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -xeuo pipefail
new_slug="${1}"
new_classname="${2}"
author="${3}"
if [[ "$(basename "$(pwd)")" != "concept" ]]; then
echo "run from the concept dir"
exit 1
fi
base_dir="${new_slug}"
mkdir "${base_dir}"
docs_dir=".docs"
mkdir -p "${base_dir}/${docs_dir}"
meta_dir=".meta"
mkdir -p "${base_... | true |
ae280e941335fc6311741cc7a2c48b43b0c0027e | Shell | SpragueLab/preproc_shFiles | /make_grayplots.sh | UTF-8 | 1,271 | 3.921875 | 4 | [] | no_license | #!/bin/bash
# make_grayplots.sh
#
# Runs AFNI's 3dGrayplot function on all run??.nii.gz files within specified $PROJECT/$SUBJ/$SESS directory and saves pngs in specified $PROJECT/$SUBJ/align_QC/$SUBJ_$SESS_run??_grayplot.png
#
# Assumes typical (~2019-2021) Sprague lab directory structure - PROJECT/SUBJ/SESS/
#
# INPUT... | true |
21aa206d59581f4f5bb9780bf77297431339e431 | Shell | llorllale/k8s | /sidetree-mock/scripts/seed_sidetree_mock.sh | UTF-8 | 1,052 | 2.765625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh
#
# Copyright SecureKey Technologies Inc. All Rights Reserved.
#
# SPDX-License-Identifier: Apache-2.0
#
set -e
echo "Seeding Sidetree ..."
if [ "${SIDETREE_OUTPUT_DIR}x" == "x" ]; then
echo "SIDETREE_OUTPUT_DIR env not set"
exit 1
fi
mkdir -p ${SIDETREE_OUTPUT_DIR}
cat > ${SIDETREE_OUTPUT_DIR}/s... | true |
6077daad1634b974c94f1b48c38030fcd16261c0 | Shell | thiagohersan/FofoquemeVoxPopuli | /bashrc_cmds.sh | UTF-8 | 388 | 2.671875 | 3 | [] | no_license | # run VoxPopuli python
isrun=`ps -u root | grep python | wc -l`
if [ $isrun -lt 1 ]
then
cd /home/pi/Dev/FofoquemeVoxPopuli/Python/VoxPopuli
http-server -p 8666 &
while [ 1 -le 20 ]
do
sudo python VoxPopuli.py &
sleep 1
killsudopid=$!
killpythonpid=`ps -u root | awk '/python/{print $1}'`
sleep 600
... | true |
acb984124449e10a148de47a76dd51e9b8129c55 | Shell | carpy1918/toolkit | /nodeStats/.svn/text-base/nodeStatsCommand.sh.svn-base | UTF-8 | 344 | 3.125 | 3 | [] | no_license | #!/bin/bash
home='/home/curt/'
webroot='/srv/www/htdocs/nodeStats';
server=( gfs1.carpy.net gfs2.carpy.net )
if [ ! -d $webroot ]
then
mkdir -p $webroot
fi
for i in "${server[@]}"
do
echo 'server:' $i
scp nodeStats-html.pl $i:$home
ssh -t $i "chmod 755 nodeStats-html.pl;sudo $home/nodeStats-html.pl"
scp $i:$home/$... | true |
c40e5e6c27a8bfdc63c3f29bfc1de6f5e98a62bc | Shell | woodie/gmaps | /build.sh | UTF-8 | 820 | 3.109375 | 3 | [] | no_license | #!/bin/bash
SOURCE=http://boostapps.com/files
mkdir -p downloads
cd downloads
if [ -f gMapsSigned.jad ]; then
echo "The source jad file exists."
else
echo "Downloading jad file."
curl -O $SOURCE/gMapsSigned.jad
fi
if [ -f gMapsSigned.jar ]; then
echo "The source jar file exists."
else
echo "Downloading j... | true |
494a76d839f22b5779798217be9eec1e0acbfdc1 | Shell | cloudera/director-scripts | /faster-bootstrap/build-ami.sh | UTF-8 | 7,895 | 4.15625 | 4 | [
"EPL-1.0",
"Classpath-exception-2.0",
"LGPL-2.0-or-later",
"W3C",
"GPL-1.0-or-later",
"LicenseRef-scancode-proprietary-license",
"BSD-3-Clause",
"MPL-2.0",
"LicenseRef-scancode-json-pd",
"LicenseRef-scancode-protobuf",
"MPL-2.0-no-copyleft-exception",
"CC0-1.0",
"LicenseRef-scancode-other-co... | permissive | #!/usr/bin/env bash
#
# (c) Copyright 2015 Cloudera, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable la... | true |
e782e4a0bff60c42318e08d39496a53a987bae58 | Shell | goodheart/ShellRecord | /081702.sh | UTF-8 | 297 | 3.109375 | 3 | [] | no_license | #!/bin/bash
x=5;y=10
#test 是内置测试命令,test可以用方括号来代替,方括号前后要留空格
#test $x -gt $y
#[ $x -gt $y ]
#name=Tom
#[ $name = [Tt]?? ]
#[[ $name = [Tt]?? ]]
#name=Tom;
#[ -z $name ];
#name2=Andy;
#[ $name != $name2 ];
int1=1;
int2=2;
[ int1 -eq 1 ]
echo $?
| true |
21e911b58fad39da051f4df68842a74feda54690 | Shell | acastello/catplot | /test.sh | UTF-8 | 153 | 2.6875 | 3 | [] | no_license | if [ "$#" -gt 0 ] ; then
dom="$1"
else
dom="192.168.1.1"
fi
ping -i 0.3 "$dom" | sed -u 's/.*time=\(.*\)ms/\1/g' | grep -v --line-buffered PING
| true |
1000e33eb07246005b9b081fec424a7c3a4cfa55 | Shell | LSanti94/doti3 | /bini3/,volume | UTF-8 | 2,025 | 3.9375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# You can call this script like this:
# $./volume.sh up
# $./volume.sh down
# $./volume.sh mute
function get_volume {
amixer -D pulse get Master | grep '%' | head -n 1 | cut -d '[' -f 2 | cut -d '%' -f 1
}
function is_mute {
amixer -D pulse get Master | grep '%' | grep -oE '[^ ]+$' | grep off > /... | true |
218af94109e6074442f6826acca4e52e07a1affc | Shell | kettlewell/packer-template | /scripts/gen-metadata.sh | UTF-8 | 524 | 3.875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
OUTPUT=$1
if [ -z "$OUTPUT" ]; then
echo "Usage: $0 <output file>"
exit 1
fi
GIT_REVISION=$(git rev-parse HEAD)
DATE=$(date -R)
if hash packer.io 2>/dev/null; then
PACKER_VERSION=$(packer.io --version)
elif hash packer 2>/dev/null; then
PACKER_VERSION=$(packer --version)
else
PACKER_... | true |
54baf9a227aa7a0f3da9db5e3f3a24577a2e62ca | Shell | avinetworks/openstack-installer | /k8s/k8s-install.sh | UTF-8 | 2,533 | 2.765625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
export LC_ALL=C
source ~/admin-openrc.sh
# Download image
wget http://cloud-images.ubuntu.com/xenial/current/xenial-server-cloudimg-amd64-disk1.img
# Upload image to glance
glance image-create --name xenial \
--disk-format qcow2 \
--container-format bare \
--file ./xenial-server-cloudimg-amd64... | true |
3064de1e5871d9664557f77f20981ecf24ce024d | Shell | foobar66/googlewiz | /system/etc/init.d/googlewiz.sh | UTF-8 | 1,666 | 3.453125 | 3 | [] | no_license | BB="/system/xbin/busybox"
TB="/system/bin/toybox"
TEE="$TB tee -a"
CMD=/system/bin/cmd
SETPROP="$TB setprop"
# note that getprop is going from toolbox, not toybox !!!
GETPROP="/system/bin/toolbox getprop"
RESETPROP="/sbin/resetprop"
DUMPSYS="/system/bin/dumpsys"
PM=/system/bin/pm
SETTINGSPUT="$CMD settings put"
XARGS="... | true |
6af123f12c4b74fc072728585fece741e20587de | Shell | araymund83/CASFRI | /conversion/sh/load_qc02.sh | UTF-8 | 1,268 | 3.265625 | 3 | [] | no_license | #!/bin/bash -x
# This script loads the Quebec (QC02) into PostgreSQL
# There is a updated version of this dataset: QC/SourceDataset/v.00.04/PEE_ORI_PROV.gdb
# However here we load the original to match the CASFRI04 loading script
# The format of the source dataset is a geodatabase
# The year of photography is in a ... | true |
fd02652b668842d5daa5b81df8e1ebebab1843aa | Shell | fpcardoso/utils | /scripts/github/clone | UTF-8 | 308 | 3.453125 | 3 | [] | no_license | #!/bin/bash
usuario=""
for argumento in "$@"
do
if [ "$argumento" = "-f" ]; then
usuario="fpcardoso"
fi
done
if [ "$usuario" = "" ]; then
echo "Digite usuário"
read usuario
fi
echo "Digite repositório que deseja clonar"
read repositorio
git clone https://www.github.com/$usuario/$repositorio
| true |
537fee78872f6b878aaa919e0bc472f79b0a3942 | Shell | PaulTaykalo/icfp-2017 | /view | UTF-8 | 273 | 2.953125 | 3 | [] | no_license | #!/bin/bash
FILENAME="$1"
cat viewer/index.html | sed 's/Map Viewer/'$FILENAME'/g' > "viewer/$FILENAME.html"
echo '<div id="data">' >> "viewer/$FILENAME.html"
cat $FILENAME >> "viewer/$FILENAME.html"
echo '</div>' >> "viewer/$FILENAME.html"
open "viewer/$FILENAME.html"
| true |
defbf34dcba08fcf790a9887395826e4dae5fe72 | Shell | minscof/karotz-openkarotz-firmware | /firmware/usr/yaffs_start.sh | UTF-8 | 2,442 | 3.25 | 3 | [] | no_license | #!/bin/bash
#----------------------------------------------------------------------------
# OPEN KAROTZ SYSTEM
# ---------------------------------------------------------------------------
. /karotz/scripts/update_functions.sh
. /karotz/scripts/led_functions.sh
. /usr/scripts/yaffs_start_functions.sh
function led_int... | true |
40a7d88af6d3285481ca4f0417070d6120c7eb07 | Shell | benscarlson/IndGrinNiche | /wf_scripts/wf_main.sh | UTF-8 | 7,937 | 2.6875 | 3 | [] | no_license |
#---- Start script init ----#
#-- parameters
datName=huj_eobs
#-- paths
srcP=~/projects/ms1/src
reportP=$srcP/reports
scriptsP=$srcP/scripts
reportOutP=~/projects/ms1/analysis/$datName/reports
msfigP=~/projects/ms1/docs/ms/v14/figs
akde=ctmm/akde_contour/contours.shp
#-- parameters used in workflow
hvjob=5axes2000... | true |
b86f0375417ce99a3f4357be56c869b223ae7e40 | Shell | mherman09/Hdef | /test/test_triutil.sh | UTF-8 | 9,322 | 3.03125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#####
# SET PATH TO TEST_VALUES SCRIPT
#####
TEST_BIN_DIR=$(echo $0 | xargs dirname)
#####
# SET PATH TO HDEF EXECUTABLE
#####
# Check for o92util
$TEST_BIN_DIR/test_find_hdef_exec.sh triutil || { echo "$0: could not find triutil; exiting" 1>&2; exit 1; }
BIN_DIR=$(cat hdefexec.tmp | xargs dirname)
###... | true |
8b48c88c0677eb8c711ff7e3d120b867d4aa339d | Shell | frey-norden/unix-workbench | /dog_args.sh | UTF-8 | 282 | 2.953125 | 3 | [] | no_license | #!/usr/bin/env zsh
# File: dog_args.sh
echo "Script args qty -> $@"
echo "How many of them args u done added to tha cmd line: $@"
echo "fers arg: $1; Sekun arg: $2; Dirty 3rd arg: $3"
echo "Number of args: $#"
v1=$#
echo "Now here is some fancy math fo ya"
echo "$v1 * $1" | bc -l
| true |
e8bb43eda4d9657c8f1778bbcd271e6089b5502f | Shell | ozmeka/auto-ozmeka | /vagrant/provisioning/roles/solr/templates/solr-undertow-init.sh.j2 | UTF-8 | 2,448 | 3.484375 | 3 | [] | no_license | #!/bin/sh
### BEGIN INIT INFO
# Provides: solr-undertow
# Required-Start: $local_fs $remote_fs $network $syslog
# Required-Stop: $local_fs $remote_fs $network $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start/Stop solr-undertow AS v7.0.0
### END INIT INFO
# Modi... | true |
2ce4df415877e5797463106fc9ea9123721440b4 | Shell | zarlo/gameservers | /scripts/2-build.sh | UTF-8 | 6,523 | 3.859375 | 4 | [
"GPL-3.0-only",
"MIT"
] | permissive | #!/usr/bin/env bash
# by invaderctf
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
# Helper functions
source ${SCRIPT_DIR}/helpers.sh
# Variable initialisation
WORKING_DIR="tf/addons/sourcemod"
SPCOMP_PATH="scripting/spcomp64"
SCRIPTS_DIR="scripting"
COMPILED_DIR="plugins"
# Exclusion li... | true |
d20a9a75fffb9c7edc0dbf072004e5bd348682a7 | Shell | Luzgar/Steganography | /revelation/build.sh | UTF-8 | 260 | 2.734375 | 3 | [] | no_license | #!/bin/bash
#On supprime, si il existe déjà, le .exe précédent
rm *.exe
#On se place dans le dossier src/
cd src
#On lance le MakeFile
make
#On déplace l'executable et renomme l'exe
mv reveal.exe ..
mv Reveal.exe ..
cd ..
mv Reveal.exe reveal.exe | true |
0d0cabf0bb430925395b9d2675722eff0ef58509 | Shell | draptik/arch-package-builds | /mobsh/PKGBUILD | UTF-8 | 1,177 | 2.59375 | 3 | [] | no_license | # Maintainer: Patrick Drechsler <socialcoding at pdrechsler dot de>
pkgname=mobsh
pkgver=1.3.0
pkgrel=1
pkgdesc="Smooth git handover during remote mob programming"
arch=('x86_64')
url="https://github.com/remotemobprogramming/mob"
license=('MIT')
depends=("git")
optdepends=('espeak-ng-espeak: Multi-lingual software spe... | true |
c5bdb5e53283765a24cf0b08666a148685c0b51a | Shell | malev/raspberrypi-dotfiles | /raspberry-sunzi/sunzi-recipes/debian/dotdeb.sh | UTF-8 | 302 | 3.015625 | 3 | [] | no_license | # Dotdeb
if grep -Fq "dotdeb" /etc/apt/sources.list; then
echo 'dotdeb entry already exists'
else
echo 'Adding dotdeb to the apt source list'
echo 'deb http://packages.dotdeb.org/ squeeze all' >> /etc/apt/sources.list
wget http://www.dotdeb.org/dotdeb.gpg -O - 2> /dev/null | apt-key add -
fi
| true |
fd9add10ab2e52550544f95d09eae465c8d1d879 | Shell | xfrocks/docker-xenforo | /tests/run.sh | UTF-8 | 2,425 | 3.625 | 4 | [] | no_license | #!/bin/sh
set -e
DIR=$( pwd )
NETWORK="docker-xenforo-test"
{
docker network create "$NETWORK" || true
} &> /dev/null
CONTAINER_ID_MYSQL="$( docker ps -qf "name=$NETWORK-mysql" )"
if [ -z "$CONTAINER_ID_MYSQL" ]; then
MYSQL_ATTEMPT="$(
docker run --network "$NETWORK" \
--name "$NETWORK... | true |
297720bbf92d8701ec46b320c7f9ebb4ebd17432 | Shell | mbc1990/please-test-me | /bootstrap_tcl.sh | UTF-8 | 642 | 3.015625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# This is kind of hacky but you can thank python dependency management for that.
# Basically, this is the script invoked by the text editor to run tests for the
# current line. It activates the please test me virtualenv, and invokes the
# test_current_line.py script which reads from the map data to find the ... | true |
71ee2b78675629d8387c950d5efa354dbbf99950 | Shell | Heckfer/dotfiles | /install.sh | UTF-8 | 1,870 | 2.890625 | 3 | [] | no_license | #!/usr/bin/env bash
set -o errexit
set -o pipefail
set -o nounset
#set -o xtrace
echo "== Install =="
echo "- Docker - https://download.docker.com/mac/stable/Docker.dmg"
echo "- 1Password - https://c.1password.com/dist/1P/mac4"
echo "- Datagrip - https://download-cf.jetbrains.com/datagrip"
echo "- Charles - https://... | true |
3b02976b859a3fc049e8a571dcba7e2a92dcb7e1 | Shell | matzew/kn-box | /03-strimzi-auth.sh | UTF-8 | 4,324 | 3.375 | 3 | [] | no_license | #!/usr/bin/env bash
set -e
# Turn colors in this script off by setting the NO_COLOR variable in your
# environment to any value:
#
# $ NO_COLOR=1 test.sh
NO_COLOR=${NO_COLOR:-""}
if [ -z "$NO_COLOR" ]; then
header=$'\e[1;33m'
reset=$'\e[0m'
else
header=''
reset=''
fi
strimzi_version=`curl https://github.com/... | true |
e97f396b7bab68d70d8af2c074f8e080a684d619 | Shell | rwfilice/DIGITS | /digits-lint | UTF-8 | 391 | 2.84375 | 3 | [
"LicenseRef-scancode-generic-cla"
] | permissive | #!/bin/bash
# Copyright (c) 2016-2017, NVIDIA CORPORATION. All rights reserved.
set -e
echo "=== Checking for Python lint ..."
if which flake8 >/dev/null 2>&1; then
python2 `which flake8` --exclude ./digits/jobs .
else
python2 -m flake8 --exclude ./digits/jobs .
fi
echo "=== Checking for JavaScript lint ...... | true |
a5d1e117c615bc179d3481195c5e41f289a17c50 | Shell | sylverpyro/scripts | /system/legacy/xboxdrv-init.sh | UTF-8 | 932 | 3.75 | 4 | [] | no_license | #!/bin/bash
BINARGS="--daemon --detach --dbus disabled --pid-file /var/run/xboxdrv.pid"
CTRLARGS="--deadzone 25% --trigger-as-button"
function usage {
echo "Usage: $0 [1|2|3|4|stop]"
}
function check_running {
ps -ef | grep 'xboxdrv --daemon' | grep -v grep | wc -l
}
if [ ! `lsmod | grep -c xpad` -eq 0 ]; then
s... | true |
9a852ce5a5ea840bac465bc04d9430689cf34581 | Shell | ytong3/PPSE | /start_local_slave.sh | UTF-8 | 562 | 3.125 | 3 | [] | no_license | #!/usr/local/bin/bash
# first argument is the port_number
# second argument is the public key file
USAGE="start_local_slave port_num public_key_file"
if [[ $# -ne 2 ]];then
echo $USAGE
exit
fi
echo "Starting rmiresigstry at port $1"
cd bin
rmiregistry $1 &
export rmiregistry_PID="$!"
echo "rmiregistry background... | true |
ee2abe511bdd5424da8bc89226466401b2bd78db | Shell | Lannutti-Lab/hello-rust | /build-image.sh | UTF-8 | 973 | 3.265625 | 3 | [] | no_license | #!/bin/sh
PROJECT_NAME='hello-rust'
VERSION="$(./VERSION)"
build_ctr=$(buildah from docker.io/rust:1-alpine)
local_src_prefix=$(dirname $(readlink -f "$0"))
container_prefix="/usr/local"
container_bin_prefix="${container_prefix}/bin"
container_src_prefix="${container_prefix}/src/${PROJECT_NAME}"
# Build from source
b... | true |
0e61038e09acc29b1c4ffdd02725ba4a0f39ce4c | Shell | amovsesy/taxSite | /bin/filesNeededToBeTranslated.sh | UTF-8 | 221 | 3.21875 | 3 | [] | no_license | #!/bin/bash
./createTBTS.sh
cd ../locale
files=`find . | grep ".php" | grep -v "svn" | awk -F "/" '{print $2}'`
for f in $files
do
num=`grep "TBT:" $f | wc -l`
if [ $num -ne 0 ]; then
echo "$f": $num
fi
done
| true |
4fef4dda237aedb897abf0bd6536b92ad992d638 | Shell | wolfbox/packages | /perl-xml-parser/PKGBUILD | UTF-8 | 602 | 2.609375 | 3 | [] | no_license | pkgname=perl-xml-parser
pkgver=2.41
pkgrel=1
pkgdesc="XML parser for Perl"
arch=("x86_64")
url="http://search.cpan.org/dist/XML-Parser"
license=('GPL' 'PerlArtistic')
depends=('perl' 'expat')
source=(http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/XML-Parser-${pkgver}.tar.gz)
sha256sums=(b48197cd2265a26c5f016489f11... | true |
ad756ee646f5e36755eaacadc70c169f17bd0d42 | Shell | quyenweb/steps | /steps/kafka/describe-topics/describe.sh | UTF-8 | 168 | 2.59375 | 3 | [
"BSD-3-Clause",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | if [[ -z "${TOPIC_NAME}" ]] ; then
topic_arg=""
else
topic_arg="--topic ${TOPIC_NAME}"
fi
/usr/bin/kafka-topics --zookeeper ${ZOOKEPER_HOST} --describe ${topic_arg} | true |
88731a80639368f957a9a93eafccca4a4327fb46 | Shell | duyet/strongloop-vagrant | /strongloop-initial.sh | UTF-8 | 1,039 | 3.5 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# root su yourself
sudo su
export DEBIAN_FRONTEND=noninteractive
# way of checking if you we need to install everything
if [ ! -e "/var/node-app" ]; then
# Add mongo to apt
apt-key adv --keyserver keyserver.ubuntu.com --recv 7F0CEB10 &> /dev/null
echo 'deb http://downloads-distro.mong... | true |
66a551e71e0d9afc0b0e902a0e67381983d92ee1 | Shell | vkoukoutsas/corda-docker | /config-gen.sh | UTF-8 | 1,903 | 2.8125 | 3 | [] | no_license | #!/usr/bin/env bash
CORDA_DB_USER=${CORDA_DB_USER:-sa}
CORDA_DB_PASS=${CORDA_DB_PASS:-dbpass}
CORDA_DB_DRIVER=${CORDA_DB_DRIVER:-org.h2.jdbcx.JdbcDataSource}
CORDA_H2_PORT=${CORDA_H2_PORT:-9090}
CORDA_DB_URL="jdbc:h2:file:${PERSISTENCE_FOLDER}/persistence;DB_CLOSE_ON_EXIT=FALSE;LOCK_TIMEOUT=10000;WRITE_DELAY=100;AUTO_... | true |
b059f0a7a5f8092c77f6173d8b3d3dfd698f56bd | Shell | petronny/aur3-mirror | /frozen-synapse/PKGBUILD | UTF-8 | 1,954 | 3.0625 | 3 | [] | no_license | # Maintainer: Sid Karunaratne <sid at karunaratne dot net>
pkgname=frozen-synapse
pkgver=1.0.32
pkgrel=1
pkgdesc="brings the simultaneous turn-based strategy genre bang up-to-date and lets you give detailed, accurate orders to your squad"
arch=('i686' 'x86_64')
url="http://www.frozensynapse.com/"
license=('custom')
_ga... | true |
78b05e24ff668544e9dcc2a47abdc6b0d1f28125 | Shell | hoangvvo/next-connect | /bench/run.sh | UTF-8 | 190 | 2.609375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
server="$1"
url="$2"
NODE_ENV=production node $server &
pid=$!
printf "$server\n"
sleep 2
wrk -t12 -c400 -d30s http://localhost:3000/user/123
printf "\n"
kill $pid | true |
5c823f4134e9196a96a6cee0f34581ee91ab3229 | Shell | kml74123/week13 | /script12 and 13 | UTF-8 | 259 | 2.796875 | 3 | [] | no_license | #!/bin/bash
echo 'make dir'
mkdir file1 file2
rsync file1 file2
rsync -a --delete file1
rsync -a file1
echo 'make user'
useradd -e /usr/sbin/user $5
echo 'make password'
passwd $5
echo 'delete file1 file2'
rmdir file1 file2
echo 'check if it gone'
ls -l
| true |
1952acc580ab6342671b52cb67d1335ba2380f6b | Shell | ekamperi/pcca-tests | /utilities/sh/t_negpipe.sh | UTF-8 | 2,024 | 3.453125 | 3 | [] | no_license | #!/bin/sh
#
# Copyright (c) 2009, Stathis Kamperis
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
# notice, this list of c... | true |
dfe994f9eb5ebe168c261314dfe3f50784566276 | Shell | zulip/zulip-mobile | /tools/checkout-keystore | UTF-8 | 1,916 | 4.21875 | 4 | [
"LicenseRef-scancode-free-unknown",
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
set -e
## CLI PARSING
usage() {
cat >&2 <<EOF
usage: tools/checkout-keystore
Temporarily decrypt the keystore file for signing an Android release.
By using this, a release manager can ensure that the secrets are only
accessible for short periods when they're explicitly thinking about a
relea... | true |
eace8faf7f67fd9d436b8e2af8a1768a5581770d | Shell | loopduck0/OverTheWire | /scripts/remote_nc_file.sh | UTF-8 | 1,044 | 3.859375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# This was made when doing bandit 14 -> bandit 15 because I didn't
# realize the path to the password was in bandit 13 -> bandit 14 so
# I thought I needed to send the whole ssh key to localhost 30000.
# Also, I couldn't copy the ssh key with scp because of filesystem
# permissions. This script is the r... | true |
e62a5fb52b8242c53f439b290d65ffc16b5074f8 | Shell | dlnichols/dotfiles | /zprofile | UTF-8 | 662 | 3.265625 | 3 | [
"MIT"
] | permissive | export EDITOR="nvim"
export ANDROID_HOME="$HOME/Android/Sdk"
export ANDROID_NDK="/opt/android-ndk/r15c"
function kdec() {
echo ${1%.kfw}
if [[ ! ${1} =~ ".kfw"$ ]]; then
echo "Must select a KFW for decryption."
return 1
fi
if [[ ! -f ${1} ]]; then
echo "File ${1} does not exist."
fi
signer -o d... | true |
d1c9b8511141beadf38ed4be4e588aea5c257390 | Shell | zloeber/MakeDevOps | /deploy/scripts/k8s/tunnel-kubernator-access.sh | UTF-8 | 1,134 | 3.328125 | 3 | [] | no_license |
#!/bin/bash
# Usage: Assuming a vagrant based kubernetes run this script in the same folder of the Vagrantfile
# * Then insert the password (by default: kubernetes)
# * Browse localhost:PROXYPORT
MASTERNODE='master'
PROXYPORT='8001'
#vagrant ssh $MASTERNODE -c "if [ ! -d /home/$USERNAME ]; then sudo useradd $USERNA... | true |
db4dc573586c0eca3c9c58d2e485312f286c0251 | Shell | stemkit-collection/stemkit-util | /scripts/install-stemkit-cpp | UTF-8 | 1,597 | 4.3125 | 4 | [
"MIT"
] | permissive | #!/bin/sh
main()
{
[ "${#}" -lt 2 ] && {
echo "USAGE: ${0} <source-path> <target-path> [<abi> ...]"
exit 2
}
source="${1}"
target="${2}"
shift
shift
install_includes "${source}" "${target}"
if [ "${#}" -eq 0 ]; then
install_libs "${source}" "${target}"
else
... | true |
3430dddac4fa81bb01bdb881f3292c59ad1651ab | Shell | Allenhe123/myCaffe | /allen1/start_train.sh | UTF-8 | 325 | 3.078125 | 3 | [] | no_license | #!/usr/bin/env sh
set -e
MY=/home/allen/mycaffe/caffe/examples/allen1
prefix=$MY/allen_caffenet_train
if [ ! -d $prefix/ ];then
echo "mkdir:"
sudo mkdir $prefix
else
echo "dir: $prefix already exist"
fi
echo "start to train..."
sudo ../../build/tools/caffe train -solver $MY/solver.prototxt
echo "train... | true |
4afc8a198b34103d4ae88a849a12bb80f88c21e1 | Shell | CREOLEFAMILY/Debian-sh-Autoinstall_LastKernel | /install-kernel.sh | UTF-8 | 545 | 3.421875 | 3 | [] | no_license | #!/bin/bash
if [ "$(id -u)" != "0" ]; then
echo "This script must be run as root" 1>&2
exit 1
fi
mkdir tmp && cd tmp
url="http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/current"
files="$(wget -c "$url" -q -O - | grep $1.deb | grep -v 'i386' | sed -e 's,.*<a href="\(.*\.deb\)">.*,\1,')"
for f in $files ; d... | true |
2c29f44824582fc65432b365dbd55f7fe0ae1cc9 | Shell | Clapperclaws/Mad-Move | /experiments_scripts/run_experiment.sh | UTF-8 | 1,860 | 2.71875 | 3 | [] | no_license | sudo pkill tcpdump
sudo pkill wpa_supplicant
sudo pkill carfi-supplicant
sudo pkill carfi-roamingd
mv in_progress/1* "test_dir"
timestamp=$(date +"%s")
#create directory with current timestamp
mkdir "in_progress/"${timestamp}
#Start tcpdump on wireless interface
#sudo tcpdump -i wlo1 -w ${timestamp}/wifi_${time... | true |
63effebbe223a9665403488ceafa134876333bbb | Shell | StudyDeepLearningAI/supervised-translation | /run.sh | UTF-8 | 634 | 3.4375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
RUN_MODE=${1:-"train"}
DATA_DIR=${2:-$(dirname "$0")/data}
DOWNLOAD_DIR=${3:-$DATA_DIR}
MODEL_DIR=$(dirname "$0")/model
mkdir -p $MODEL_DIR
mkdir -p $DATA_DIR
mkdir -p $DOWNLOAD_DIR
if [ $RUN_MODE == "train" ]
then
python $(dirname "$0")/src/train.py --model_dir $MODEL_DIR \
... | true |
8ab95d8e3a819f19f5729556787f1b9b05c148f2 | Shell | zizu1985/vagrant | /docker/scripts/builds.sh | UTF-8 | 1,483 | 2.890625 | 3 | [] | no_license | # This is an optional file used for my setup.
# Set up environment for demos.
echo "export JAVA_HOME=/home/docker_user/java/latest" >> ~/.bash_profile
echo "alias sql=\"/home/docker_user/sqlcl/bin/sql\"" >> ~/.bash_profile
cd ~
unzip -oq /vagrant/software/sqlcl-18.3.0.259.2029.zip
mkdir ~/java
cd ~/java
tar -xf /vagr... | true |
88a7703f212448559bf5932bdc3abd39aa69947a | Shell | JonShelley/azure | /benchmarking/NDv4/cc-slurm-ngc/util_scripts/check-vm-gpu-bw.sh | UTF-8 | 1,023 | 3.25 | 3 | [] | no_license | #!/bin/bash
## Note: Before you can run this script you need to build gpu-bwtest and copy the binary to BASE_DIR
## To build it you need to go to a NDv[2+] VM and if you are using a HPC marketplace image go then
## cd /usr/local/cuda/samples/1_Utilities/bandwidthTest/ and run "sudo make".
## Then cop... | true |
63a73264a4e199d3c689da2739c49f9865c1c465 | Shell | diu-uf-bordeaux/bloc1 | /prog/data/data/guess/f6 | UTF-8 | 81 | 2.515625 | 3 | [] | no_license | #!/bin/bash
S="\x4C \x45 \x4E \x41"
for L in $S
do
echo -n -e $L
done
echo
| true |
99d9c9943e8b047d1575da981d28924feb06c3ce | Shell | ms705/ciel | /scripts/old/setup-testmachine.sh | UTF-8 | 372 | 2.859375 | 3 | [
"ISC",
"LicenseRef-scancode-other-permissive"
] | permissive | #!/bin/bash
SWBASE="../run/mercator.hg/"
KEY="/home/ms705/.ssh/id_rsa"
I=0
while read -r line
do
scp -i $KEY setupcache-local.sh $line:
scp -i $KEY -r $SWBASE $line:
ssh -i $KEY $line '/root/setup-local.sh'
if [ $I -eq 0 ]; then
ssh -i $KEY $line '/root/scripts/run_master.sh'
else
ssh -i $KEY $li... | true |
736b47e33f0f956407d2015c64c66a6c5aea0f20 | Shell | shopkeep/deis | /logger/bin/boot | UTF-8 | 1,473 | 4.0625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# This script is designed to be run inside the container
#
# fail hard and fast even on pipelines
set -eo pipefail
# set debug based on envvar
[[ $DEBUG ]] && set -x
# configure etcd
export ETCD_PORT=${ETCD_PORT:-4001}
export ETCD="$HOST:$ETCD_PORT"
export ETCD_PATH=${ETCD_PATH:-/deis/logs}
export ETCD... | true |
ca0e46d777ce972e666fd47ef53720771a0f871c | Shell | smittal6/cs251 | /ass1/search.sh | UTF-8 | 622 | 4.09375 | 4 | [] | no_license | #!/bin/bash
#Arithmetic operators
if (($#!=3));
then echo "Number of arguments is not correct"
exit 1
fi
#Checking if file or not
#Using [[ ]] as it is considered safer. More powerful. Check stackoverflow.
if [[ ! -f $1 ]];
then echo "Not a valid file"
exit 1
fi
#trying using pipe
#What pipe does is, executes... | true |
cbed50838f1ad65782d9482e140f2e4564015367 | Shell | GustavAndreasson/flowermap | /translations/find_phrases.sh | UTF-8 | 238 | 2.859375 | 3 | [] | no_license | #!/usr/bin/env bash
find .. -name '*.ph*' -exec grep -e "\->__(" {} + | sed 's/.*__("\(.*\)").*/\1/' | sort | uniq | while read -r word;do
echo $word=$(echo $word | translate-bin -s google -f en -t $1 | sed 's/^.*>\(.*\)/\1/g')
done
| true |
d2af1e5119259663956b0bf58cdcc9b3e6cfc7ac | Shell | getbread/telepresence | /packaging/homebrew-package.sh | UTF-8 | 663 | 3.203125 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-public-domain",
"MIT"
] | permissive | #!/bin/bash
set -e
# Clone blackbird-homebrew:
BUILD_HOMEBREW_DIR=$(mktemp -d)
echo "Cloning into ${BUILD_HOMEBREW_DIR}..."
git clone git@github.com:datawire/homebrew-blackbird.git "${BUILD_HOMEBREW_DIR}"
FORMULA="${BUILD_HOMEBREW_DIR}/Formula/telepresence.rb"
# Update recipe
cp dist/homebrew-formula.rb "$FORMULA"
se... | true |
91a8657f354d9f041ff1969ba3b3fcff7ddc6fbd | Shell | sverrewl/pba-tools | /scripts/convert.sh | UTF-8 | 1,559 | 3.578125 | 4 | [] | no_license | #!/bin/bash
inPath=$1
outPath=$2
BIN_DIR=.
# Exit in case of failure
set -e
# Handle empty lists
shopt -s nullglob
#mkdir -p $outPath
# WIP Stuff:
# DX11 models?!
for filename in $inPath/*.008E; do
echo "$filename"
$BIN_DIR/format0024 "$filename" "$outPath/$(basename "$filename" .008E).obj"
done
# PC11 So... | true |
5a81d5330031ef3b5cad11ff7cf9295cbddf30d7 | Shell | Skyeward/Tonic | /gitsteps.sh | UTF-8 | 171 | 3.1875 | 3 | [] | no_license | #!/bin/bash -eu
push=${1}
commitnote=${2}
git add .
git commit -m "$commitnote"
echo "added and commmitted"
if [[ $push -eq 1 ]]
then
git commit; echo "and pushed"
fi
| true |
257151ee1ad85843bd59ea6035d2567d3b85d38d | Shell | hitchiker42/dotfiles | /backup.sh | UTF-8 | 853 | 3.71875 | 4 | [] | no_license | #!/bin/sh
[[ $EUID -ne 0 ]] && echo "Run as root" && exit
if [ $# -lt 1 ]; then
echo "No destination defined. Usage: $0 destination [logfile]" >&2
exit 1
elif [ $# -eq 1 ]; then
DEST="$1"
LOGFILE="$PWD/rsync.log"
elif [ $# -eq 2 ]; then
DEST="$1"
LOGFILE="$2"
elif [ $# -gt 2 ]; then
echo "... | true |
282026d5a65f0cc8618b6ac539a8c00f865b9f46 | Shell | yanzhirun/wrapfs-encode | /auto_run/module_gen.sh | UTF-8 | 605 | 2.84375 | 3 | [] | no_license | #!/bin/bash
if lsmod | grep wrapfs &>/dev/null ; then
echo "There is already insmod wrapfs module!"
sudo rmmod wrapfs
fi
sudo cp /usr/src/linux-headers-4.2.0-27-generic/Module.symvers $HOME/Desktop/wrapfs-bata1/wrapfs/
sudo make -C /usr/src/linux-4.2.5 M=$HOME/Desktop/wrapfs-bata1/wrapfs/ modules
sudo cp $HOME... | true |
e0ef39261a499e3354317d06e087bba28dfac561 | Shell | sergioguerrato/grafana-zabbix | /.circleci/deploy-docs.sh | UTF-8 | 701 | 3.28125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Exit script if you try to use an uninitialized variable.
set -o nounset
# Exit script if a statement returns a non-true return value.
set -o errexit
# Use the error status of the first failure, rather than that of the last item in a pipeline.
set -o pipefail
echo "current dir: $(pwd)"
# Setup git env
g... | true |
899348e7d3f4c1fb436580ccfe14411347912114 | Shell | novaextent/opensignal | /setup-env.sh | UTF-8 | 1,268 | 2.875 | 3 | [] | no_license | #!/usr/bin/env bash
rm -rf ./.env
PASSWORD=$(LC_ALL=C </dev/urandom tr -dc A-Za-z0-9 | head -c 28)
ACCESS_KEY=$(openssl rand -hex 16)
SECRET_KEY=$(openssl rand -hex 16)
#cat postgresql/accountdb.env > ./.accountdb.env
#cat postgresql/messagedb.env > ./.messagedb.env
cat postgresql/postgres.env > ./.postgres.env
cat ... | true |
adffbfc4dd17292b64d67423e70764ebec9858a7 | Shell | camilodiazsal/SlackBuilds | /shorewall/shorewall.SlackBuild | UTF-8 | 890 | 3.1875 | 3 | [
"BSD-2-Clause-Views",
"BSD-2-Clause"
] | permissive | #!/bin/sh -e
PRGNAM='shorewall'
VERSION='5.2.3.3'
TAG='1_x'
APP_URL='http://canada.shorewall.net/pub/shorewall/5.2/shorewall-5.2.3/shorewall-5.2.3.3.tgz'
BUILD_DIR="/tmp/SlackBuild-${PRGNAM}-$(date +%s)"
# Download
mkdir -v -p ${BUILD_DIR}/install ${BUILD_DIR}/src
if ! [ -f ${PRGNAM}-${VERSION}.tgz ]; then
wget ${AP... | true |
e0629734f00b20843753035fac8f7a0c760bbd97 | Shell | stramazzo/oaudscript | /driversinstall_script.sh | UTF-8 | 415 | 2.5625 | 3 | [] | no_license | #!/bin/bash
#This script should install the needed drivers for the dfrobot display on a raspberry system with unsupported kernel.
#clone pimoroni rp_usbdisplay repository
git clone https://github.com/pimoroni/rp_usbdisplay
#launch rp_usbdisplay driver install for unsupported kernel
cd rp_usbdisplay/dkms
sudo apt inst... | true |
beda1a2486338275786d7aa3d59538bbf65220e3 | Shell | kinvolk/benchmark-containers | /helpers/download_dashboard.sh | UTF-8 | 846 | 3.90625 | 4 | [] | no_license | #!/bin/bash
[ $# -lt 2 ] && {
echo
echo "$0 - download (backup) a Grafana dashboard, write to STDOUT"
echo "Usage: $0 <grafana-API-key> <dashboard-id> [<hostname-and-port>] [>dashboard-backup.json]"
echo " Hostname/port is assumed to be localhost:3000 if not provided."
echo " (us... | true |
3bf9dfa070f7343733d91a5fd337ac53a97648fb | Shell | whlzdy/firmware | /OneCloud/script/server/admin/cgi-bin/modifyServerInfo.sh | UTF-8 | 2,966 | 2.875 | 3 | [] | no_license | #!/bin/sh
TOOL_BASE="/opt/onecloud/script/server/appdata"
TOOL_FUNC="${TOOL_BASE}/bin/funcs.sh"
. ${TOOL_FUNC}
state="$(getUserLoginStatus)"
if [ "${state}" == "true" ]
then
cat << EOF
<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Modify Server Info</title>
<style type=text/css>
... | true |
dab9fc76533caea030cbb3625d042de4d1c6bebe | Shell | gabijap/NLP-Enchanced-Search | /data/wikipedia/parallel_clean.sh | UTF-8 | 790 | 2.59375 | 3 | [] | no_license | #!/bin/bash
# Run data cleaning (remove out of vocabulary words and put one sentence per line in parallel on multiple CPU cores
mkdir -p ./cleaned
rm -f ./cleaned/*
cd ./grouped
parallel python ../clean_data.py ::: x??
cd ../cleaned
cat * > ../wikipedia_all_cleaned-voc400000-ln160M.txt
cd ..
# Create variations
cat ... | true |
773359ee5b0ff573ea09bbf0fbb684e9410b7a6f | Shell | WilliamDrewAeroNomos/vulcan | /cluster/minikube/istio-minikube-config.sh | UTF-8 | 775 | 2.890625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Note: This script requires the installation of minikube, istioctl and kubectl
#
# Installation Instructions for:
#
# Minikube can be found at https://kubernetes.io/docs/tasks/tools/install-minikube/
#
# Istio and istioctl can be found at https://istio.io/latest/docs/setup/getting-started/#download
#
# ... | true |
69d034c7e982b323ead891099f99b4e35af048f9 | Shell | ShelbyTV/BigData | /scripts/cleanupOldFiles.sh | UTF-8 | 550 | 4.03125 | 4 | [] | no_license | #!/bin/bash
#
# This script cleans up old folders of exported files from the
# updateVideoGraph.sh script
# cleanup old export folders
date=${date-$(date +%Y-%m-%d)}
for dir in $(find . -maxdepth 1 -name '[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9]' -type d)
do
echo "Checking if $dir is a folder that needs to be remov... | true |
63cb02e10f1eb910632e997c49bfb85c04415dca | Shell | 64studio/plegger | /plegger-recorder | UTF-8 | 909 | 3.359375 | 3 | [] | no_license | #!/usr/bin/env bash
# sox and libsox-fmt-mp3 are dependencies
# get the path to this script
SCRIPT_PATH=$(readlink -f "$0")
# set path for recording
REC_PATH="/home/pi/recordings"
# set the silence threshold as a percentage
THRESHOLD=1%
# set the duration of sound before recording starts
START_DELAY=0.001
# set th... | true |
29ec3b8c772dc263f3033aa176687bfef231b470 | Shell | abelnation/statsy-docker | /bin/start | UTF-8 | 540 | 3.359375 | 3 | [
"Apache-2.0"
] | permissive | #! /bin/bash
E_ERROR=1
if [ -z "${IMAGE_NAME}" ]; then
echo "Image is not built. Run ./bin/build first"
exit $E_ERROR=1
fi
CONTAINER_NAME="${IMAGE_NAME}-container"
if [ $(docker ps -a | grep $CONTAINER_NAME | awk '{print $NF}' | wc -l) -gt 0 ];then
docker kill $CONTAINER_NAME
docker rm $CONTAINER_NAME
fi
if [... | true |
4e80c13f1d88ec7c519b174e3412475d007b1b37 | Shell | daspete/vagrant-lamp | /scripts/bootstrap.sh | UTF-8 | 2,431 | 3.140625 | 3 | [] | no_license | #!/usr/bin/env bash
VMNAME=$1
HOSTNAME=$2
DBNAME=$3
DBUSER=$4
DBPASSWD=$5
apt-get install -y software-properties-common
apt-get install -y python-software-properties
apt-get update
apt-get upgrade
apt-get install -y dkms curl build-essential netbase wget git
apt-get install -y virtualbox-guest-x11
... | true |
a155b2923ea1b4f11181bfe73914f95859671c15 | Shell | jewettaij/visfd_tutorials | /prokaryotes/Hylemonella_gracilis/STEP_4_segment_membranes.sh | UTF-8 | 21,527 | 3.546875 | 4 | [
"CC0-1.0"
] | permissive | #!/usr/bin/env bash
# WARNING: In these instructions, it is assumed that the voxel width
# is 19.6 Angstroms. If not, replace this number everywhere.
# ---- Goal: Segment the inner membrane of the cell and its contents ----
#
# Terminology: I use the phrase "3-D image" and "tomogram" interchangeably.... | true |
97b358f85c4fdf3759cab6b403d9bf722a40533b | Shell | thorsten-klein/CommonAPI-generation | /E01HelloWorld/clean.sh | UTF-8 | 514 | 2.8125 | 3 | [] | no_license | #!/bin/bash
if [ $? -ne 0 ]; then /bin/bash -c "$0"; exit; fi
echo "removing folder ./build ..."
rm -rf ./build
echo "removing folder ./src-gen ..."
rm -rf ./src-gen
echo "removing CodeBench output folder(s) ..."
#rm -rf ./Client_Debug/
#rm -rf ./Client_Release/
#rm -rf ./Server_Debug/
#rm -rf ./Server_Release/
#r... | true |
a508329073af100156b85bfe5c7f2e47345719d6 | Shell | andycmaj/AspNetCore.ApplicationBlocks | /build.sh | UTF-8 | 357 | 3.703125 | 4 | [] | no_license | #!/usr/bin/env bash
# Define default arguments.
SCRIPT="build.cake"
CAKE_ARGUMENTS=()
# Parse arguments.
for i in "$@"; do
case $1 in
-s|--script) SCRIPT="$2"; shift ;;
--) shift; CAKE_ARGUMENTS+=("$@"); break ;;
*) CAKE_ARGUMENTS+=("$1") ;;
esac
shift
done
# Start Cake
exec dotne... | true |
ff2816ec232fd71c44f5516bca0f17d30228e288 | Shell | gffhcks/dotfiles | /.bash/PS1.sh | UTF-8 | 3,583 | 3.40625 | 3 | [] | no_license | #!/bin/bash
# PS1
# Custom command prompt
# Git branch in command prompt (__git_ps1)
[[ -s "$HOME/.bash/git-prompt.sh" ]] && source ~/.bash/git-prompt.sh
function __define_prompt()
{
# local __resultvar=$1
# Master BASH replacement list
local BELL="\a" # ASCII Bell
local HRDATE="\d" ... | true |
91745dadda340150c91d57d309bfd412305190d3 | Shell | fabiolac19/munin-iops-emc-y-hp | /munin-iops-hp.sh | UTF-8 | 10,510 | 3.828125 | 4 | [] | no_license | #!/bin/bash
#Inicializo script bash.
# Modo de uso:
# ./munin-iops-hp.sh path_to_directory output
# 1º parte:
# Incluir el directorio donde se encuentran las definiciones de las maquinas virtuales.
#Verifica que el usuario haya ingresado correctamente los parametros de entrada.
#Asigna a variable salida el primer pa... | true |
47c6fb5d87f204ff92e422e01b1be7718d46209c | Shell | siemens/fluffi | /core/dependencies/libuuid/make_dep.sh | UTF-8 | 4,073 | 2.515625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Copyright 2017-2020 Siemens AG
#
# Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following discla... | true |
15735505f2711d7ea29cb17adb41a793ebcb97e1 | Shell | jinyun1tang/netcdf-c | /nc_test/test_byterange.sh | UTF-8 | 4,231 | 2.828125 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/sh
if test "x$srcdir" = x ; then srcdir=`pwd`; fi
. ../test_common.sh
set -e
# Note: thredds-test is currently down and the URLs need to be replaced
# Test Urls
if test "x$FEATURE_THREDDSTEST" = x1 ; then
URL3="https://thredds-test.unidata.ucar.edu/thredds/fileServer/pointData/cf_dsg/example/point.nc#mode=by... | true |
5c4493ff0f2dbfa31c2ab3e5a3ec52d9af2ee783 | Shell | Smile0007-Sec/bucines | /Bucin.sh | UTF-8 | 6,072 | 2.515625 | 3 | [] | no_license | #Coded by Smile0007
#Jangan di recode bangsat!!
#Mau recode izin ke nomor 083138046547
green="\033[32;1m"
yellow="\033[33;1m"
indigo="\033[34;1m"
red="\033[35;1m"
purple="\033[37;1m"
cyan="\033[36;1m"
white="\033[39;1m"
clear
echo $yellow"==================================================================="
... | true |
e28920b374f2188e0c2f6d1a0dc7ca666769b5d3 | Shell | cs-au-dk/streamliner | /misc/jmh.sh | UTF-8 | 735 | 3.484375 | 3 | [] | no_license | #!/bin/bash
set -euo pipefail
if [ ! -f "pom.xml" ]; then
cd ..
if [ ! -f "pom.xml" ]; then
echo "Run jmh.sh from project or misc directory"
exit 1
fi
fi
JAVAH=${JAVAH:-/usr/lib/jvm/java-8-openjdk-amd64}
JAVA=$JAVAH/bin/java
echo "Using ${JAVA} ($($JAVA -version 2>&1 | head -n 1)) for tests"
if [ "$#... | true |
8afc8016b77a9dd92903b6be2d6affd39dc4c68c | Shell | kpsunkara/pmdarima | /build_tools/azure/test_version_tagging.sh | UTF-8 | 247 | 2.875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
set -e
pip install pathlib
BUILD_SOURCEBRANCH=refs/tags/v0.99.999 python ${BUILD_SOURCESDIRECTORY}/build_tools/get_tag.py
if [[ ! -f ${BUILD_SOURCESDIRECTORY}/pmdarima/VERSION ]]; then
echo "Expected VERSION file"
exit 4
fi
| true |
59c9ecaecaffc05f461fc725f26a83f77e29b799 | Shell | ainmosni/dotfiles-old | /misc/.bin/suspend | UTF-8 | 274 | 2.734375 | 3 | [] | no_license | #!/bin/sh
# Only suspend when not on power.
# TODO: Detect if we're on a battery for this.
if acpi | grep -q Discharging; then
echo "suspending" > /tmp/susp
/usr/bin/systemctl suspend
fi
if acpi 2>&1 | grep -q 'No support'; then
/usr/bin/systemctl suspend
fi
| true |
83e55e7fa0bb6a0bf7bfa4c4d5fad9b849eceb85 | Shell | anthraxx/ant-zsh | /lib/S05.function.zsh | UTF-8 | 550 | 3.234375 | 3 | [] | no_license | function zsh_stats() {
history | awk '{print $2}' | sort | uniq -c | sort -rn | head
}
function take() {
mkdir -p "$1"
cd "$1"
}
function mkdircd() {
take "$1"
}
function zc () {
for exp in $argv; do
print "$exp = $(( exp ))";
done
}
function psgrep() {
grep "$1" =(ps aux)
}
function run-with-sud... | true |
bb65da08a04acdb524e76eff605ba54668b67313 | Shell | delkyd/alfheim_linux-PKGBUILDS | /bibledit/PKGBUILD | UTF-8 | 827 | 2.625 | 3 | [] | no_license | # Maintainer: Caleb Maclennan <caleb@alerque.com>
pkgname='bibledit'
pkgdesc='Linux desktop client relase of bibledit for translating the Bible'
pkgver='1.0.348'
pkgrel='0.1'
arch=('any')
url='http://bibledit.org/'
license='GPL3'
source=("http://bibledit.org/linux/${pkgname}-${pkgver}.tar.gz")
sha256sums=('43367f64a3c1... | true |
82c2067577946fc37848c628ebe00546c996317d | Shell | puwei0000/eventuate-chaos | /src/scenarios/simple-partitions.sh | UTF-8 | 1,175 | 3.515625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash -eu
CASSANDRAS="c1 c2 c3"
SETTLE_DELAY=${SETTLE_DELAY:-40}
function settle() {
echo "waiting $SETTLE_DELAY seconds for cluster to settle..."
sleep $SETTLE_DELAY
}
function wait_till_healthy() {
echo "waiting till cluster is up and running..."
while ! ./interact.py >/dev/null 2>&1; do
... | true |
ebd79f1b45480ad54b2de5b03c2bdbccb6579c4c | Shell | basho/data_platform_core | /priv/extras_templates/cache-proxy/test/read_through_test.sh | UTF-8 | 4,087 | 3.609375 | 4 | [] | no_license | #! /usr/bin/env bash
NC_PORT=$1
RIAK_HTTP_PORT=$2
RIAK_HTTP_HOST=${3:-localhost}
RIAK_TEST_BUCKET=${4:-test}
function usage {
echo "$(cat <<EOF
Usage: $0 «NC_PORT» «RIAK_HTTP_PORT» [RIAK_HTTP_HOST] [RIAK_TEST_BUCKET]
Arguments:
NC_PORT - Cache Proxy port, speaking the redis protocol
RIAK_HTTP_PORT ... | true |
936db2751cf8040195fad79617be1960d8b7f6c0 | Shell | martinbaillie/rightscripts | /install_and_run_rancher.bash | UTF-8 | 2,365 | 3.734375 | 4 | [] | no_license | #! /bin/bash -e
#---------------------------------------------------------------------------------------------------------------------------
# Variables
#---------------------------------------------------------------------------------------------------------------------------
: "${RANCHER_HOST_PORT:=8080}"
: "${RANC... | true |
247c02608a9c22f7e574260c5d2b2cdeea9ec221 | Shell | jasonbrooks/fedora-coreos-config | /overlay.d/05core/usr/lib/dracut/modules.d/20live/module-setup.sh | UTF-8 | 1,086 | 2.890625 | 3 | [
"MIT"
] | permissive | install_and_enable_unit() {
unit="$1"; shift
target="$1"; shift
inst_simple "$moddir/$unit" "$systemdsystemunitdir/$unit"
mkdir -p "$initdir/$systemdsystemunitdir/$target.requires"
ln_r "../$unit" "$systemdsystemunitdir/$target.requires/$unit"
}
install() {
inst_script "$moddir/is-live-image.sh... | true |
bf56145b1649e481560da3790dfae69ffb6d888b | Shell | jhkim105/deploy | /kill.sh | UTF-8 | 1,048 | 4.125 | 4 | [] | no_license | #!/bin/bash
if [ "$1" == "" ]
then
echo "Usage: $0 <name>"
exit 1
fi
SERVICE_NAME=$1
PID_DIR=/var/run/$SERVICE_NAME
PID_FILE=$SERVICE_NAME.pid
IDENTIFIER=$SERVICE_NAME.jar
function kill_process() {
echo "$SERVICE_NAME destroy started..."
PID=`cat $PID_DIR/$PID_FILE 2>/dev/null`
if [ -z $PID ]; then
ech... | true |
6a3223d86732d5a0aa2f85dda39544b4f03567a4 | Shell | davidaayers/dotfiles | /.zshrc | UTF-8 | 2,573 | 2.5625 | 3 | [] | no_license | # Path to your oh-my-zsh configuration.
ZSH=$HOME/.oh-my-zsh
# Set name of the theme to load.
# Look in ~/.oh-my-zsh/themes/
# Optionally, if you set this to "random", it'll load a random theme each
# time that oh-my-zsh is loaded.
ZSH_THEME="kphoen"
export EDITOR='subl -w'
export LESS="R"
# Example aliases
# alias ... | true |
2b0bd26ee08777fb6c2ec0d1cd5723354bb8110f | Shell | mtalexan/bash-profile | /prompt-ubuntu.bash | UTF-8 | 413 | 3.265625 | 3 | [] | no_license | if [ -n "$USE_POWERLINE" ] && [ $USE_POWERLINE -eq 1 ] ; then
source "${LOCAL_PROFILES_DIR}/powerline.bash"
else
# add the git settings to the command prompt
if [ "${color_prompt}" = yes ]; then
PS1='${debian_chroot:+($debian_chroot)}\[\033[01;34m\]\w\[\033[00m\]\[\033[1;33m\]$(__git_ps1)\[\033[00m\... | true |
a4393c39e5663a6c6b1951453f25187d52916983 | Shell | PeterXu/ztools | /shell/.zero/uinit.sh | UTF-8 | 1,497 | 3.421875 | 3 | [] | no_license | #!/usr/bin/env bash
#
# Author: peter@uskee.org
# Created: 2015-11-18
#
## ===================================================
## ---------------------------------------------------
## global init scripts:
## To call functions with prefix of "__init_xxx".
_g_init_init() {
local kShName="sh"
local shname... | true |
f4639100c107007feaea039006bb8a156545ffb1 | Shell | influxdata/flux-lsp | /release.sh | UTF-8 | 2,578 | 4.25 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# This script will check the state of the main branch of flux-lsp for
# conditions that would allow for a release to occur. If those conditions
# are met, a signed tag is created and *pushed to github* where the CI
# will take over and publish the extension.
#
# WARNING: This script will *push directly to ... | true |
a4d3bf28c416fc8eb26b85dc5c4f6af1fd4cf6ce | Shell | Josverl/jostatest | /scripts/ensurepws | UTF-8 | 118 | 2.71875 | 3 | [] | no_license | #!/bin/bash
#try
pwsh --version
if [ $? -eq 0 ]
then
echo "pwsh already installed"
else
# npm install pwsh -g
fi
| true |
45faca0a54364a73bcb6622974f14348adce0c49 | Shell | duanwujie/helpscript | /threadname | UTF-8 | 377 | 3.703125 | 4 | [] | no_license | #!/bin/bash
if [[ $# != 1 ]] ; then
echo "Usage: threadname <process_name>"
exit -1
fi
NAME=$1
APP_PID=`ps aux | grep $NAME | grep -v grep | grep -v threadname | awk '{printf("%s\n",$2)}' `
for i in `ps -T $APP_PID | awk '{ if(NR>1) {printf("%s ",$2)}}'`
do
cat /proc/$i/stat | awk -F ")" '{print $1}' | awk -F "(... | true |
e2821a199e93f46c1cae02eeb89016487948112e | Shell | h-castle/loggi | /entrypoint.sh | UTF-8 | 563 | 2.734375 | 3 | [] | no_license | #!/bin/sh
if [ "$LOGGI_TLS" != "" ]
then
TLS=--tls
fi
if [ "$LOGGI_TLS_NO_VERIFY" != "" ]
then
TLS_NO_VERIFY=--tls-no-verify
fi
if [ "$LOGGI_RECONNECTION_INTERVAL" != "" ]
then
RECONNECTION_INTERVAL="--reconnection-interval $LOGGI_RECONNECTION_INTERVAL"
fi
if [ "$LOGGI_NICK" != "" ]
then
NICK="-n $L... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.